﻿using System;
using UnityEngine.UIElements;
using WorldBuilder.Plugins;
using Nuro.Processes;

public class XR4EDWizardDemo: PluginBase, IWizard
{
    public override PluginFeatureFlags Features => PluginFeatureFlags.Wizard;

    public string WizardName => "XR4ED_WizardDemo";

    public string WizardDescription => "This is a Wizard Demo Plugin for XR4ED.";

    public bool VisibleInWizardList => true;

    public Process CreateRunProcess(VisualElement root, Action onCancel = null)
    {
        return new XR4EDWizardDemoProcess(ReferenceProvider, root, onCancel);
    }
}
